﻿using System;
using System.Globalization;
using Wisej.Web;

namespace WiseJCalendarLanguageBug
{
    public partial class Window1 : Form
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void btnChangeLanguage_Click(object sender, EventArgs e)
        {
            var lang = GetLanguage();
            if (lang == "fr")
            {
                Application.CurrentCulture = new CultureInfo("en");
                SetLanguageControls();
            }
            else
            {
                Application.CurrentCulture = new CultureInfo("fr");
                SetLanguageControls();
            }
        }

        private void Window1_Load(object sender, EventArgs e)
        {
            SetLanguageControls();
        }

        private string GetLanguage()
        {
            var culture = Application.CurrentCulture;
            return culture.IetfLanguageTag.Substring(0, 2);
        }

        private void SetLanguageControls()
        {
            var lang = GetLanguage();
            if (lang == "en")
            {
                label1.Text = "Language: English";
                btnChangeLanguage.Text = "=> Français";
            }
            else
            {
                label1.Text = "Langage: Français";
                btnChangeLanguage.Text = "=> English";
            }

            Application.Reload();
        }
    }
}